AIT Cards Cannot Be Used in LabVIEW 2013

Updated Mar 22, 2018

Reported In

Hardware

  • PXI-1045
  • PXI-8119
  • PXI-1044
  • PXI-8110

Software

  • LabVIEW 2013 Full
  • LabVIEW 2015 Full

Operating System

  • Windows

Other

AIT 1553, AIT Drivers 2.47.2

Issue Details

I have several newly bought AIT 1553 cards and they can be programmed in LabVIEW 2015 but cannot be used in LabVIEW 2013. The code got stuck in the AIT 1553 Initialize.vi and no error occurred.  The version of the driver  I used is 2.47.2. And these cards can be seen in MAX. The cards of the same type I bought several years ago can be used in LabVIEW 2013. 

Solution

This problem can happen because the driver is incompatible with the firmware version. New AIT cards come installed with the newest version of the firmware. This requires the latest version of the drivers. You can find newest drivers at AIT Official Website.

WAS THIS ARTICLE HELPFUL?

Not Helpful